
%global major     1
%global libname   %mklibname bb2_%{major}
%global develname %mklibname bb2 -d


Name:           libb2
Version:        0.98.1
Release:        %mkrel 1
Summary:        BLAKE2 family of hash functions
License:        CC0
Group:          Development/Libraries
URL:            https://blake2.net/
Source0:        https://github.com/BLAKE2/libb2/archive/%{name}-%{version}.tar.xz
# man-page imported from debian
Source1:	blake2.3
BuildRequires:  autoconf libtool

%description
The BLAKE2 family of hash functions is an improved version of the
SHA-3 finalist BLAKE.

BLAKE2b is optimized for 64-bit platforms and produces up to 64 bytes
of output; BLAKE2s is optimized for 32-bit platforms and produces up
to 32 bytes of output.

BLAKE2bp and BLAKE2sp are parallel versions of BLAKE2b and BLAKE2s
designed for increased performance on multicore and large-vector SIMD
processors.

libb2 provides a portable implementation of BLAKE2, optimized
implementations for IA-32 and AMD64 processors, and an interface
layer that automatically selects the best implementation for the
processor it is run on.

%package -n %{libname}
Summary:        BLAKE2 family of hash functions
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The BLAKE2 family of hash functions is an improved version of the
SHA-3 finalist BLAKE.


%package  -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes: libb2-devel
Provides:  libb2-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%setup -q

%build

%configure2_5x

%make_build

%install
rm -rf %{buildroot}
%makeinstall_std

install -Dpm 0644 %SOURCE1 %buildroot/%{_mandir}/man3/blake2.3

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n %{libname}
%{_libdir}/libb2.so.*
%{_mandir}/man3/blake2.3.*

%files -n %{develname}
%{_includedir}/blake2.h
%{_libdir}/libb2.so
%{_libdir}/libb2.a
%{_libdir}/pkgconfig/libb2.pc

%changelog
* Thu Dec 26 2019 tex - 0.98.1-1pclos2020
- new version

* Tue Oct 15 2019 tex - 0.98-3pclos2019
- rebuild against updates

* Sun Jan 14 2018 bb2 <bb2> - 0.98-2pclos2018
- fix library file packages in proper format for 
- library packages
- is this a stable release of this package

* Thu Jan 11 2018 Zen Subz <techars21 at gmail dot com> - 0.98-1pclos2018
- Build for PCLinuxOS
